%define libname_orig lib%{name}
%define libname %mklibname %{name} 10

Summary:	Library for reading EB/EPWING files
Name:		eb
Version:	4.2.2
Release:	%mkrel 5
Group:		System/Internationalization
License:	BSD-like
URL:		http://www.sra.co.jp/people/m-kasahr/eb/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		eb-linkage_fix.diff
BuildRequires:	locales-en zlib-devel
Requires:	%{libname} = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Eb is a library for reading EB/EPWING files.

%package -n	%{libname}
Summary:	Eb library
Group:		System/Internationalization
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
Eb library.

%package -n	%{libname}-devel
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Eb development package: static libraries, header files, and the like.


%prep

%setup -q
%patch0 -p0

%build
autoreconf -fis

%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%find_lang ebutils 

cat ebutils.lang >> %{name}.lang

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%config(noreplace) %{_sysconfdir}/eb.conf
%{_bindir}/eb*
%{_datadir}/aclocal/eb4.m4
%{_datadir}/eb/doc/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libeb.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libeb.so
%{_includedir}/eb/*


%changelog
* Fri Sep 05 2008 Frederic Crozat <fcrozat@mandriva.com> 4.2.2-5mdv2009.0
+ Revision: 281122
- Fix incorrect lang tagging on .gmo file

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 4.2.2-4mdv2009.0
+ Revision: 230778
- added P0 to fix linkage (-lz)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2.2-3mdv2008.1
+ Revision: 170806
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.2.2-2mdv2008.1
+ Revision: 149686
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Mar 08 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 4.2.2-1mdk
- new release

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.2.1-1mdk
- bump major from 9 to 10 (it was wrong before)
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Tue Mar 08 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.3-2mdk
- add BuildRequires: locales-en zlib-devel

* Fri Feb 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.3-1mdk
- fix libification and overwriting config file
- first spec for Mandrakelinux (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

